import request from '@/utils/request'

// 列表
export function studioOrder(params) {
  return request({
    url: '/studio/studio_order',
    method: 'Get',
    params
  })
}

// 订单详情
export function studioOrderDetail(params) {
  return request({
    url: '/studio/order_detail',
    method: 'Get',
    params
  })
}

// 获取地址
export function addressList(params) {
  return request({
    url: '/studio/show_address',
    method: 'Get',
    params
  })
}

// 修改地址
export function changeOrderAddress(params) {
  return request({
    url: '/studio/order_address',
    method: 'Get',
    params
  })
}

// 订单作废
export function orderDestory(params) {
  return request({
    url: '/studio/destory_order',
    method: 'Get',
    params
  })
}

// 审核订单
export function machOrderAudit(data) {
  return request({
    url: '/studio/many_audit_order',
    method: 'post',
    data
  })
}

// 修改订单
export function updateOrder(data) {
  return request({
    url: '/studio/order_update',
    method: 'post',
    data
  })
}

// 订单商品
export function orderGoods(params) {
  return request({
    url: '/studioGood/getgoodsinfo',
    method: 'get',
    params
  })
}

// 导出拆单
export function orderExport(params) {
  return request({
    url: '/studio/orderBreakUpCourier',
    method: 'get',
    params
  })
}
// 导入订单
export function sendOrder(data) {
  return request({
    url: '/studio/send_order',
    method: 'post',
    data
  })
}

// 退回
export function orderAdopt(data) {
  return request({
    url: '/studio/audit_order',
    method: 'post',
    data
  })
}
